gtkmm: Gtk::LayoutChild Class Reference

gtkmm 4.0.2

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Functions | List of all members
Gtk::LayoutChild Class Reference

An object containing layout properties. More...

`#include <gtkmm/layoutchild.h>`

Inheritance diagram for Gtk::LayoutChild:
[legend]

## Public Member Functions
| LayoutChild (LayoutChild&& src) noexcept
LayoutChild& | operator= (LayoutChild&& src) noexcept
| ~LayoutChild () noexcept override
GtkLayoutChild* | gobj ()
| Provides access to the underlying C GObject. More...
const GtkLayoutChild* | gobj () const
| Provides access to the underlying C GObject. More...
GtkLayoutChild* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs. More...
Glib::RefPtr< LayoutManager > | get_layout_manager ()
| Retrieves the Gtk::LayoutManager instance that created the given layout_child. More...
Glib::RefPtr< const LayoutManager > | get_layout_manager () const
| Retrieves the Gtk::LayoutManager instance that created the given layout_child. More...
Widget* | get_child_widget ()
| Retrieves the Gtk::Widget associated to the given layout_child. More...
const Widget* | get_child_widget () const
| Retrieves the Gtk::Widget associated to the given layout_child. More...
Glib::PropertyProxy_ReadOnly< Glib::RefPtr< LayoutManager > > | property_layout_manager () const
| The layout manager that created the Gtk::LayoutChild instance. More...
Glib::PropertyProxy_ReadOnly< Widget* > | property_child_widget () const
| The widget that is associated to the Gtk::LayoutChild instance. More...
Public Member Functions inherited from Glib::Object
| Object (const Object &)=delete
Object & | operator= (const Object &)=delete
| Object (Object &&src) noexcept
Object & | operator= (Object &&src) noexcept
void * | get_data (const QueryQuark &key)
void | set_data (const Quark &key, void *data)
void | set_data (const Quark &key, void *data, DestroyNotify notify)
void | remove_data (const QueryQuark &quark)
void * | steal_data (const QueryQuark &quark)
Glib::RefPtr< Glib::Object > | wrap (GObject *object, bool take_copy=false)
Public Member Functions inherited from Glib::ObjectBase
| ObjectBase (const ObjectBase &)=delete
ObjectBase & | operator= (const ObjectBase &)=delete
void | set_property_value (const Glib::ustring &property_name, const Glib::ValueBase &value)
void | get_property_value (const Glib::ustring &property_name, Glib::ValueBase &value) const
void | set_property (const Glib::ustring &property_name, const PropertyType &value)
void | get_property (const Glib::ustring &property_name, PropertyType &value) const
PropertyType | get_property (const Glib::ustring &property_name) const
sigc::connection | connect_property_changed (const Glib::ustring &property_name, const sigc::slot< void()> &slot)
sigc::connection | connect_property_changed (const Glib::ustring &property_name, sigc::slot< void()> &&slot)
void | freeze_notify ()
void | thaw_notify ()
virtual void | reference () const
virtual void | unreference () const
GObject * | gobj ()
const GObject * | gobj () const
GObject * | gobj_copy () const
Public Member Functions inherited from sigc::trackable
| trackable () noexcept
| trackable (const trackable &src) noexcept
| trackable (trackable &&src) noexcept
| ~trackable ()
void | add_destroy_notify_callback (notifiable *data, func_destroy_notify func) const
void | notify_callbacks ()
trackable & | operator= (const trackable &src)
trackable & | operator= (trackable &&src) noexcept
void | remove_destroy_notify_callback (notifiable *data) const

## Static Public Member Functions
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...

## Protected Member Functions
| LayoutChild ()
| There is no create() method that corresponds to this constructor, because only derived classes shall be created. More...
Protected Member Functions inherited from Glib::Object
| Object ()
| Object (const Glib::ConstructParams &construct_params)
| Object (GObject *castitem)
| ~Object () noexcept override
Protected Member Functions inherited from Glib::ObjectBase
| ObjectBase ()
| ObjectBase (const char *custom_type_name)
| ObjectBase (const std::type_info &custom_type_info)
| ObjectBase (ObjectBase &&src) noexcept
ObjectBase & | operator= (ObjectBase &&src) noexcept
virtual | ~ObjectBase () noexcept=0
void | initialize (GObject *castitem)
void | initialize_move (GObject *castitem, Glib::ObjectBase *previous_wrapper)

## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Gtk::LayoutChild > | wrap (GtkLayoutChild* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...

## Additional Inherited Members
Public Types inherited from Glib::Object
typedef void(*)(gpointer data | DestroyNotify)
Public Types inherited from sigc::trackable
typedef internal::func_destroy_notify | func_destroy_notify
Public Types inherited from sigc::notifiable
typedef internal::func_destroy_notify | func_destroy_notify

## Detailed Description

An object containing layout properties.

Gtk::LayoutChild is the base class for objects that are meant to hold layout properties. If a Gtk::LayoutManager has per-child properties, like their packing type, or the horizontal and vertical span, or the icon name, then the layout manager should use a Gtk::LayoutChild implementation to store those properties.

A Gtk::LayoutChild instance is only ever valid while a widget is part of a layout.

Since gtkmm 3.96:

## Constructor & Destructor Documentation

Gtk::LayoutChild::LayoutChild | ( | LayoutChild&& | src | ) |
| noexcept

Gtk::LayoutChild::~LayoutChild | ( |  | ) |
| overridenoexcept

Gtk::LayoutChild::LayoutChild | ( |  | ) |
| protected

There is no create() method that corresponds to this constructor, because only derived classes shall be created.

## Member Function Documentation

Widget* Gtk::LayoutChild::get_child_widget | ( |  | ) |

Retrieves the Gtk::Widget associated to the given layout_child.

Returns
  A Gtk::Widget.

const Widget* Gtk::LayoutChild::get_child_widget | ( |  | ) | const

Retrieves the Gtk::Widget associated to the given layout_child.

Returns
  A Gtk::Widget.

Glib::RefPtr<LayoutManager> Gtk::LayoutChild::get_layout_manager | ( |  | ) |

Retrieves the Gtk::LayoutManager instance that created the given layout_child.

Returns
  A Gtk::LayoutManager.

Glib::RefPtr<const LayoutManager> Gtk::LayoutChild::get_layout_manager | ( |  | ) | const

Retrieves the Gtk::LayoutManager instance that created the given layout_child.

Returns
  A Gtk::LayoutManager.

static GType Gtk::LayoutChild::get_type | ( |  | ) |
| static

Get the GType for this class, for use with the underlying GObject type system.

GtkLayoutChild* Gtk::LayoutChild::gobj | ( |  | ) |
| inline

Provides access to the underlying C GObject.

const GtkLayoutChild* Gtk::LayoutChild::gobj | ( |  | ) | const
| inline

Provides access to the underlying C GObject.

GtkLayoutChild* Gtk::LayoutChild::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

LayoutChild& Gtk::LayoutChild::operator= | ( | LayoutChild&& | src | ) |
| noexcept

Glib::PropertyProxy_ReadOnly< Widget* > Gtk::LayoutChild::property_child_widget | ( |  | ) | const

The widget that is associated to the Gtk::LayoutChild instance.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Glib::RefPtr<LayoutManager> > Gtk::LayoutChild::property_layout_manager | ( |  | ) | const

The layout manager that created the Gtk::LayoutChild instance.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## Friends And Related Function Documentation

Glib::RefPtr< Gtk::LayoutChild > wrap | ( | GtkLayoutChild * | object,
|  | bool | take_copy = `false`
| ) |  |
| related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.